## Bsoft program

# bpartsel

### Usage: bpartsel [options] input.star [input.star]

Selects single particles for reconstruction and further processing.

### Input particle selections are honoured, so that multiple restrictive selections

| can be made. To reset for a new selection, use the -all option.

### Actions:

-check | Check particle records.
-reconstructions | Operate on reconstruction parameters rather than micrographs.
-renumber | Renumber particles starting from 1 for each micrograph or reconstruction.
-all | Reset selection to all particles before other selections.
-none | Unset selection to all particles before other selections.
-mgselect 3-5,8,12-15 | Select only the indicated micrographs (first = 1).
-divide 3 | Divide the project into a number of subsets of fields.
-consolidate 5 | Consolidate selection under the given selection number.
-setnumber 3 | Select given selection number and set others to zero.
-setfom 0.3 | Set the FOM (must be in the range 0-1).
-setasu D3 | Set the views to the asymmetric unit.
-setgroups | Transfer selection numbers to groups.
-fixdefocus 0.15 | Reset particle defocus differing from micrograph defocus.
-group 3022 | Select particles belonging to this group.
-sets 20,1 | Generate sets of this size of selected particles,
| with a flag not to select across micrograph or reconstruction boundaries.
-series 25,1 | Select: Particles that are all selected in a series and generating sets
| with a flag not to select across micrograph or reconstruction boundaries.
-frames 3,11 | Select: Particles from a series of frames of a field-of-view.
-alternate 3 | Select: Assign successive particles to different numbers.
-reselect psi,0.1,0.9 | Reselect based on a range of values associated with this tag.
-origin 150,150,0,8 | Select: Within a distance from the nominal origin: x,y,z,distance.
-View 0.2,-0.5,0.3,15 | Select: Within an angular distance from a view: x,y,z,angle.
-sideview 17.8 | Select: Side views within an angular distance from the equator.
-Euler 2,50,-30,2,0,40 | Select: Euler angle ranges: psi, theta, phi.
-rank 4,1 | Select a number of groups from FOM ranking and flag to adjust for defocus.
-fom 0.25,1 | Select: FOM cutoff and flag to adjust for defocus.
-cv 0.55,1 | Select: Cross validation cutoff and flag to adjust for defocus.
-exclusion 210 | Select: Deselect overlapping particles (default 0).
-top 12.0,1 | Select: number or % particles and flag to adjust for defocus, ranked by FOM[index].
-deviation -2.0 | Select: FOM >= average + factor*standard_deviation, using FOM[index].
-angle 2.4 | Select: difference angle between view vectors in focal or tilt series.
-closesttofocus | Select: Particles from micrographs closest to focus.
-furthestfromfocus | Select: Particles from micrographs furthest from focus.
-random 23.6% | Select: random selection to get the given number,
| number in groups (g), fraction (<1) or percentage (%).
-bootstrap 527 | Select: random selection with replacement up to the given number.
-views 4.5,7.2,3 | Select: random selection within views defined on a grid with the
| given theta and phi step sizes (degrees) and up to the given number.
-bestviews 4.5,7.2,3 | Select: best particles within views defined on a grid with the
| given theta and phi step sizes (degrees), up to the given number.
-maxsmooth 0.7,3,5,4.4 | Select: above fraction specified by smoothed maxima surface.
| given theta and phi step sizes and smoothing sigma (degrees).
-Fomfirst | Set orientations to first in field-of-view series.
-Fombest | Set orientations to best FOM[index] in field-of-view series.
-filament 60 | Selects filament particles with clear direction based on percentage.
-deselect 4,6,22 | Deselect particles with the listed selection numbers.
-delete | Delete all non-selected particles.
-getselection | Prints all the selection numbers.
-show particle.fom | Show particle parameters indicated by the tag or selection number.
-Fomhistogram | Show FOM histogram.

### Parameters:

-verbose 7 | Verbosity of output.
-symmetry C5 | Point group symmetry (required with the -angle and -views options).
-index 1 | FOM index to select on (default 0, options -setfom, -top, -deviation, -bestviews, -Fombest).

### Output:

-output file.star | Output parameter file.
-split 3 | Split micrograph or reconstruction data blocks into individual files:
| Argument: 1-6: number of digits inserted before extension
| Argument: "id": micrograph ID's are used as file names.
| Argument: "set": particle sets based on selection are used as output.
-Particle views.ps | Postscript output with particle view and origin distributions.
-Micrograph out.ps | Postscript output with particle micrograph distributions.
-FOM histogram.ps | Postscript output with particle FOM distributions.
-classes | Write stacks of particle images based on classes.

Bsoft version 2.0.3-20180917 (64 bit)